
%define major   1
%define lib_name %mklibname svg-cairo %major

Name:             libsvg-cairo
Summary:          A SVG library based on cairo
Version: 0.1.6
Release: %mkrel 10
License:          BSD
Group:            System/Libraries
Source:           %{name}-%{version}.tar.bz2
URL:              http://cairographics.org/snapshots/
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildRequires:    libsvg-devel
BuildRequires:    cairo-devel
BuildRequires:    jpeg-devel

%description
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{lib_name}
Summary:          A SVG library based on cairo
Group:            System/Libraries

%description -n %{lib_name}
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{lib_name}-devel
Summary:          Libraries and include files for developing with libsvg
Group:            Development/C
Requires:         %{lib_name} = %{version}
Provides:         %{name}-devel = %{version}

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libsvg-cairo.


%prep
%setup -q

%build
export LIBS="-lm"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif


%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/libsvg-cairo.pc



%changelog
* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-10mdv2010.0
+ Revision: 416626
- rebuilt against libjpeg v7

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-9mdv2009.1
+ Revision: 301472
- rebuilt against new libxcb

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-8mdv2009.0
+ Revision: 229807
- fix build (-lm)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-6mdv2008.1
+ Revision: 179003
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.6-4
- rebuild for png
- %%mkrel

* Thu Sep 29 2005 Pascal Terjan <pterjan@mandriva.org> 0.1.6-3mdk
- use the %%release which is defined

* Thu Aug 11 2005 Götz Waschk <waschk@mandriva.org> 0.1.6-2mdk
- rebuild for new cairo

* Fri Jul 08 2005 Tigrux <tigrux@ximian.com> 0.1.6-1mdk
- New release 0.1.6

* Wed Mar 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- spec fixes
- New release 0.1.5

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.4-2mdk
- buildrequires (slbd)

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.4-1mdk
- initial mandrake package

